<?php
/**
 * The default template for displaying portfolio post content
 *
 * Used for index/archive.
 *
 * @since Wild Book 1.4.3
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'portfolio-post flex-item' ); ?>>
  <?php if ( has_post_thumbnail() ) : ?>
  <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
    <?php the_post_thumbnail( 'wdb-medium-square' , array( 'alt' => get_the_title() ) ); ?>
  </a>
  <?php endif; ?>
  
  <header class="entry-header">
  <?php 
    the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
    
    wdb_entry_meta( '<div class="entry-meta">', '</div>' ); 
  ?>
  </header><!-- .entry-header -->

  <?php if( has_excerpt() ) : ?>
  <div class="entry-summary">
    <?php the_excerpt(); ?>
  </div>
  <?php endif; ?>
</article><!-- #post-## -->
