<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive.
 *
 * @since Wild Book 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'inner-box' ); ?>>
  <div class="content-container">
    <header class="entry-header">
    <?php 
      if( is_sticky() && is_home() && ! is_paged() ) :
        printf( '<span class="sticky-badge">%s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'wildbook' ) );
      else :
        wdb_categories_list();
      endif;
      
      if ( is_single() ) :
        the_title( '<h1 class="entry-title">', '</h1>' );
      else :
        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
      endif;
      
      wdb_entry_meta( '<div class="entry-meta">', '</div>' ); 
    ?>
    </header><!-- .entry-header -->

    <?php wdb_post_thumbnail(); ?>

    <div class="entry-content">
      <?php
        the_content( esc_html__( 'Continue reading &rarr;', 'wildbook' ) );
        
        wp_link_pages( array(
          'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'wildbook' ) . '</span>',
          'after'       => '</div>',
          'link_before' => '<span>',
          'link_after'  => '</span>',
          'pagelink'    => ' %',
          'separator'   => ', ',
        ) );
      ?>
    </div><!-- .entry-content -->

    <?php wdb_entry_footer( '<footer class="entry-footer">', '</footer>' ); ?>
  </div>
</article><!-- #post-## -->
