<?php
/**
 * The template for displaying image attachments
 *
 * @since Wild Book 1.0
 */

get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class( 'inner-box' ); ?>>
				<div class="content-container">

					<header class="entry-header">
						<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
						<div class="entry-meta">
			              <?php wdb_entry_meta(); ?>
			            </div>
					</header><!-- .entry-header -->

					<div class="entry-attachment">
					<?php echo wp_get_attachment_image( get_the_ID(), 'post-thumbnail-not-crop' ); ?>

					<?php if ( has_excerpt() ) : ?>
						<div class="entry-caption">
							<?php the_excerpt(); ?>
						</div><!-- .entry-caption -->
					<?php endif; ?>
					</div><!-- .entry-attachment -->

					<div class="entry-content">
					<?php
						the_content();

						wp_link_pages( array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'wildbook' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
						'pagelink'    => ' %',
						'separator'   => ', ',
						) );
					?>
					</div><!-- .entry-content -->

					<?php wdb_entry_footer( '<footer class="entry-footer">', '</footer>' ); ?>

					<nav id="image-navigation" class="image-navigation">
						<div class="nav-links">
							<div class="nav-previous"><?php previous_image_link( false, esc_html__( '&larr; Previous Image', 'wildbook' ) ); ?></div><div class="nav-next"><?php next_image_link( false, esc_html__( 'Next Image &rarr;', 'wildbook' ) ); ?></div>
						</div><!-- .nav-links -->
					</nav><!-- .image-navigation -->
				</div>
			</article><!-- #post-## -->
			
		<?php
			// If comments are open or we have at least one comment, load up the comment template
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		// End the loop.
		endwhile;
		?>

	</main><!-- .site-main -->
</div><!-- .content-area -->

<?php get_footer(); ?>
