<?php
/**
 * Comment Walker
 *
 * @package WordPress
 * @since Wild Book 1.0
 */

class Wild_Book_Comment_Walker extends Walker_Comment {

	protected function html5_comment( $comment, $depth, $args ) {
?>
		<li id="comment-<?php comment_ID(); ?>" <?php comment_class( $this->has_children ? 'parent' : '' ); ?>>
			<article id="div-comment-<?php comment_ID(); ?>" class="comment-body">
        <?php 
          if ( 0 != $args['avatar_size'] && get_option( 'show_avatars' ) ) 
            printf( '<div class="comment-avatar">%s</div>', get_avatar( $comment, $args['avatar_size'] ) ); 
        ?>
        <div class="entry-comment">
          <header class="comment-header">
            <?php 
            printf( '<h6 class="comment-author vcard">%s <span class="says screen-reader-text">%s</span></h6>', sprintf( '<b class="fn">%s</b>', get_comment_author_link() ), esc_html__( 'says:', 'wildbook' ) );

            if ( '0' == $comment->comment_approved ) : ?>
            <p class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'wildbook' ); ?></p>
            <?php endif; ?>
          </header><!-- .comment-header -->

          <div class="comment-content">
            <?php comment_text(); ?>
          </div><!-- .comment-content -->

          <footer class="comment-footer">
            <div class="comment-metadata">
              <time class="comment-meta" datetime="<?php comment_time( 'c' ); ?>"><?php printf( _x( '%1$s at %2$s', '1: date, 2: time', 'wildbook' ), get_comment_date(), get_comment_time() ); ?></time>
              <?php edit_comment_link( esc_html__( 'Edit', 'wildbook' ), '<span class="edit-link comment-meta">', '</span>' ); ?>
            </div><!-- .comment-metadata -->
            <?php
            comment_reply_link( array_merge( $args, array(
              'add_below' => 'div-comment',
              'depth'     => $depth,
              'max_depth' => $args['max_depth'],
              'before'    => '<div class="reply">',
              'after'     => '</div>'
            ) ) );
            ?>
          </footer><!-- .comment-footer -->
        </div>
			</article><!-- .comment-body -->
<?php
	}
}

?>