(function($) {
  "use strict";
  $(document).ready(function($){

    $('#wdb-set-background-image').on( 'click', function(e){
      e.preventDefault();
      
      var $button = $(this),
          $parent = $button.parent(),
          meta_image_frame;
          
      if ( meta_image_frame ) {
          meta_image_frame.open();
          return;
      }
      
      meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
          title: wdbVars.mediaFrameTitle,
          button: { text: wdbVars.mediaFrameButton },
          library: { type: 'image' }
      });
      meta_image_frame.on('select', function(e){
        var media_attachment = meta_image_frame.state().get('selection').first().toJSON(), imgSrc;
   
        imgSrc = media_attachment.sizes.medium ? media_attachment.sizes.medium.url : media_attachment.sizes.full.url;
        
        $parent.addClass('selected');
        $parent.find('#wdb-selected-background-image').html( '<img src="' + imgSrc + '" alt="">' );
        $parent.find('#wdb-background-image-id').val( media_attachment.id );
      });
      meta_image_frame.open();
    });
    
    $('#wdb-remove-background-image').on( 'click', function(e){
      e.preventDefault();
      
      var $button = $(this),
          $parent = $button.parent();
          
      $parent.removeClass('selected');
      $parent.find('#wdb-selected-background-image').html( '' );    
      $parent.find('#wdb-background-image-id').val( '' );
    });

    if( $('body').hasClass('edit-tags-php') ) {
      $('.tags').bind("DOMSubtreeModified", function() {
        var $backgroundImage = $('#wdb-custom-background');
        
        $backgroundImage.removeClass('selected');
        $backgroundImage.find('#wdb-selected-background-image').html( '' );
        $backgroundImage.find('#wdb-background-image-id').val( '' );
      });
    }
  });
})(jQuery);