<?php
/**
 * The template for the sidebar containing the site identity, the navigation menu and the social buttons.
 * Default layout.
 *
 * @since Wild Book 1.5
 */
?>

<div id="sidebar" class="sidebar">
  <div class="sidebar-inner">
    <?php 
    $sidebar_navigation = wp_nav_menu( 
      array( 
        'theme_location'  => 'primary',  
        'menu_class'      => 'nav-menu', 
        'fallback_cb'     => false, 
        'container'       => 'div', 
        'container_id'    => 'nav-container',  
        'container_class' => 'nav-container',
        'echo'            => false 
      ) 
    ); 
    ?>

    <?php if( $sidebar_navigation || get_theme_mod( 'show_search', 1 ) ) : ?>
    <div class="toggle-buttons">
      <?php if( $sidebar_navigation ) : ?>
      <a href="#" id="nav-toggle" class="nav-toggle"><i class="menu-icon"></i></a>
      <?php endif; ?>

      <?php 
      if( get_theme_mod( 'show_search', 1 ) ) {
        printf( '<a href="#" id="search-toggle" class="search-toggle"><i class="fa fa-search"></i></a> %s', get_search_form( false ) );
      }
      ?>
    </div>
    <?php endif; ?>

    <header id="masthead" class="site-header" role="banner">
      <?php 
        do_action( 'wdb_before_site_heading' ); 

        wdb_content_section( 
          'before_site_identity', 
          '<div class="before-site-identity custom-sidebar-section">', 
          '</div>' 
        ); 
      ?>

      <div class="site-identity">
        <?php 
        wdb_site_logo();

        wdb_site_title();   
        ?>
      </div>

      <?php 
        wdb_content_section( 
          'after_site_identity', 
          '<div class="after-site-identity custom-sidebar-section">', 
          '</div>' 
        ); 

        do_action( 'wdb_after_site_heading' ); 
      ?>
    </header>

    <?php
    if( $sidebar_navigation ) 
      printf( '<nav id="sidebar-nav" class="sidebar-nav visible-nav">%s</nav>', $sidebar_navigation );
    ?>

    <footer id="colophon" class="site-info" role="contentinfo">
      <?php 
      do_action( 'wdb_before_copyright' );

      wdb_content_section( 
        'before_site_copyright', 
        '<div class="before-site-copyright custom-sidebar-section">', 
        '</div>' 
      ); 

      wdb_social_profiles();

      if( get_theme_mod( 'display_copyright', 1 ) ) 
        wdb_site_copyright( '<div class="site-copyright">', '</div>' ); 

      wdb_content_section( 
        'after_site_copyright', 
        '<div class="after-site-copyright custom-sidebar-section">', 
        '</div>' 
      ); 
    
      do_action( 'wdb_after_copyright' );
      ?>
    </footer>

  </div><!-- .sidebar-inner -->
</div><!-- .sidebar -->