<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @since Wild Book 1.0
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
    
      <?php
      // Start the loop.
      while ( have_posts() ) : the_post();

        wdb_content_section( 
          'before_single_post', 
          '<div class="before-single-post-content inner-box"><div class="content-container"><div class="section-content">', 
          '</div></div></div>' 
        ); 

        /*
         * Include the post format-specific template for the content. If you want to
         * use this in a child theme, then include a file called called content-___.php
         * (where ___ is the post format) and that will be used instead.
         */
        get_template_part( 'content' );

        wdb_content_section( 
          'after_single_post', 
          '<div class="after-single-post-content inner-box"><div class="content-container"><div class="section-content">', 
          '</div></div></div>' 
        ); 

        // Author bio.
        if ( get_the_author_meta( 'description' ) && get_theme_mod( 'display_published_by', 1 ) ) :
          get_template_part( 'author-bio' );
        endif;
        
        // Related posts.        
        if( get_theme_mod( 'display_related_posts', 1 ) ) :
          wdb_related_posts( sprintf( '<div class="entry-related-posts inner-box"><div class="content-container"><h3 class="section-title related-posts-title">%s</h3>', get_theme_mod( 'related_posts_title' ) ? esc_html( get_theme_mod( 'related_posts_title' ) ) : esc_html__( 'You might also like', 'wildbook' ) ), '</div></div>' );
        endif;

        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
        
        if( get_theme_mod( 'display_post_navigation', 1 ) ) :
          // Previous/next post navigation.
          the_post_navigation( array(
            'next_text' => '<span class="nav-meta">' . esc_html__( 'Next post', 'wildbook' ) . '</span> ' .
                           '<span class="post-title">%title</span>',
            'prev_text' => '<span class="nav-meta">' . esc_html__( 'Previous post', 'wildbook' ) . '</span> ' .
                           '<span class="post-title">%title</span>',
          ) ); 
        endif;

      // End the loop.
      endwhile;
      ?>
		</main><!-- .site-main -->
	</div><!-- .content-area -->
	
<?php get_footer(); ?>
