<?php
/**
 * The template for displaying archive form portfolio category
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @since Wild Book 1.5
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header inner-box">
				<div class="content-container">
				<?php
			        the_archive_title( '<h1 class="page-title">', '</h1>' );
			        the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
				</div>
			</header><!-- .page-header -->

		    <div class="inner-box">
				<div class="content-container large-container">
					<div class="portfolio-grid flex-row last-0">
					<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

					  /*
					   * Include the Post-Format-specific template for the content.
					   * If you want to override this in a child theme, then include a file
					   * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					   */
					  get_template_part( 'content-portfolio' );

					// End the loop.
					endwhile;
					?>
					</div><!-- .posts-grid -->
			    </div>
		    </div>
	      
	    <?php
			// Previous/next page navigation.
			the_posts_pagination( array(
				'prev_text'          => is_rtl() ? '<i class="fa fa-angle-right"></i>' : '<i class="fa fa-angle-left"></i>',
				'next_text'          => is_rtl() ? '<i class="fa fa-angle-left"></i>' : '<i class="fa fa-angle-right"></i>',
				'before_page_number' => ''
			) );

		// If no content, include the "No posts found" template.
		else :
			get_template_part( 'content', 'none' );

		endif;
		?>

		</main><!-- .site-main -->
	</section><!-- .content-area -->

<?php get_footer(); ?>
